tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Class PubSubModule.NodeConfigurationChangeNotificationReceivedHandler.NodeConfigurationChangeNotificationReceivedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<PubSubModule.NodeConfigurationChangeNotificationReceivedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubModule.NodeConfigurationChangeNotificationReceivedHandler.NodeConfigurationChangeNotificationReceivedEvent

- Enclosing interface:
    PubSubModule.NodeConfigurationChangeNotificationReceivedHandler

      public static class PubSubModule.NodeConfigurationChangeNotificationReceivedHandler.NodeConfigurationChangeNotificationReceivedEvent
      extends JaxmppEvent<PubSubModule.NodeConfigurationChangeNotificationReceivedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeConfigurationChangeNotificationReceivedEvent(SessionObject sessionObject, Message message, JID pubSubJID, String node, JabberDataElement nodeConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(PubSubModule.NodeConfigurationChangeNotificationReceivedHandler handler)` Invokes handlers method.
    `Message` | `getMessage()`
    `String` | `getNode()`
    `JabberDataElement` | `getNodeConfig()`
    `JID` | `getPubSubJID()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeConfigurationChangeNotificationReceivedEvent

          public NodeConfigurationChangeNotificationReceivedEvent(SessionObject sessionObject,
                                                                  Message message,
                                                                  JID pubSubJID,
                                                                  String node,
                                                                  JabberDataElement nodeConfig)

  - ### Method Detail

    - #### dispatch

          public void dispatch(PubSubModule.NodeConfigurationChangeNotificationReceivedHandler handler)
                        throws Exception

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<PubSubModule.NodeConfigurationChangeNotificationReceivedHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `Exception`

    - #### getMessage

          public Message getMessage()

    - #### getNode

          public String getNode()

    - #### getNodeConfig

          public JabberDataElement getNodeConfig()

    - #### getPubSubJID

          public JID getPubSubJID()

Copyright © 2006–2022 Tigase. All rights reserved.